=== debian/changelog ===
golang-github-gofiber-schema (1.7.0-2) sid; urgency=medium

  * Using codenames instead of suitnames in changelog.
  * Re-adding source priority field for reprepro compatibility (#1110733).
  * Building with golang 1.25 to fix FTBFS on trixie.

 -- Daniel Baumann <daniel@debian.org>  Fri, 27 Feb 2026 08:26:57 +0100

golang-github-gofiber-schema (1.7.0-1) sid; urgency=medium

  * Initial upload to sid, needed for gatus (Closes: #1128937)
    via golang-githubg-gofiber-fiber 3.x (Closes: #1128932).

 -- Daniel Baumann <daniel@debian.org>  Tue, 24 Feb 2026 18:05:21 +0100
