=== debian/control ===
Source: golang-github-gofiber-schema
Section: golang
Priority: optional
Maintainer: Daniel Baumann <daniel@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 dpkg-build-api (= 1),
 golang-1.25,
 golang-github-gofiber-utils-dev,
 golang-github-google-uuid-dev,
Standards-Version: 4.7.3
Homepage: https://github.com/gofiber/schema
Vcs-Browser: https://forgejo.debian.net/golang/golang-github-gofiber-schema
Vcs-Git: https://forgejo.debian.net/golang/golang-github-gofiber-schema
Testsuite: autopkgtest-pkg-go
XS-Go-Import-Path: github.com/gofiber/schema

Package: golang-github-gofiber-schema-dev
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Express inspired web framework - binder (Go library)
 Fiber is a web framework, created with the idea of minimalism and follows the
 UNIX way. It is inspired by Express, the popular web framework for Node.js.
 .
 This package contains a binder for Fiber.
