=== debian/rules ===
#!/usr/bin/make -f

export GOROOT := /usr/lib/go-1.25
export PATH := /usr/lib/go-1.25/bin:$(PATH)

%:
	dh ${@} --builddirectory=debian/_build --buildsystem=golang
