=== debian/watch ===
Version: 5

Template: github
Owner: gofiber
Project: schema
